<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/uart.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">uart.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d87/uart_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">   41</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart , uint32_t u32InterruptFlag)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>{</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa03c989a308b944f626588239ed89ede">UART_ISR_RLS_IS_Msk</a>)   <span class="comment">/* clear Receive Line Status Interrupt */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">FSR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0f2e106e62d5334e54836c99a14eac85">UART_FSR_BI_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a886dd125a8a7230f0db2bd5528b6ca67">UART_FSR_FE_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a923e0f105bdf518925450960086440db">UART_FSR_PE_F_Msk</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4297386c5926124fc6441172a68f844d">TRSR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a909ee94bfcb3516c3ef4adb6878cb694">UART_TRSR_RS485_ADDET_F_Msk</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aec77da723bb1121d218152a52ac6aaf0">UART_ISR_MODEM_IS_Msk</a>)  <span class="comment">/* clear Modem Interrupt */</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">MCSR</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aeb6309c81abe52c5fe26f4d5bf5d5cb8">UART_MCSR_DCT_F_Msk</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7d4693479c44026215c49954c2ba93e6">UART_ISR_BUF_ERR_IS_Msk</a>)   <span class="comment">/* clear Buffer Error Interrupt */</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">FSR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6984988001dbaf4c9c96f3ed393bf89f">UART_FSR_RX_OVER_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa25f2783ec705d92bf314237a8c7c8ba">UART_FSR_TX_OVER_F_Msk</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a9c89e709e9a263a55f63fed4a9317723">UART_ISR_WAKE_IS_Msk</a>)   <span class="comment">/* clear wake up Interrupt */</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1edf12aec26a4dccd41814cfb02dd949">ISR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a9c89e709e9a263a55f63fed4a9317723">UART_ISR_WAKE_IS_Msk</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a206cb13660090392dee974bdda53b3a2">UART_ISR_ABAUD_IS_Msk</a>)   <span class="comment">/* clear auto-baud rate Interrupt */</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4297386c5926124fc6441172a68f844d">TRSR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3e523b38815e87ff3df4a4fe7962fc5d">UART_TRSR_ABAUD_TOUT_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a36ccbc9d24fec359200d7f9d311aa90d">UART_TRSR_ABAUD_F_Msk</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="keywordflow">if</span>(u32InterruptFlag &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a867c6116c318fa8271bd72642a11338e">UART_ISR_LIN_IS_Msk</a>)   <span class="comment">/* clear LIN break Interrupt */</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4297386c5926124fc6441172a68f844d">TRSR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a48731133e1164f08f432de5dc901e733">UART_TRSR_LIN_TX_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad0cfc25876af7286eb10f8fcb52d71f3">UART_TRSR_LIN_RX_F_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7cab36848706132f54de276c258b547a">UART_TRSR_BIT_ERR_F_Msk</a>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>}</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">   83</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>{</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">IER</a> = 0;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>}</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">   96</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>{</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9ab90d38586ab0cbf20d7b41f1190374">CTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa4b5131e15a163bfda0868e92fa9ff22">UART_CTL_AUTO_RTS_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad2f87f54500027b717a90fe9593ab434">UART_CTL_AUTO_CTS_EN_Msk</a>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>}</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">  119</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>*  uart, uint32_t u32InterruptFlag )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>{</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">IER</a> &amp;= ~ u32InterruptFlag;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>}</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">  133</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>{</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">MCSR</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0f3f249dd28febd4fa06cd8dbd7a5a57">UART_MCSR_LEV_RTS_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad671a0b4963ee95f516f340b83639b3f">UART_MCSR_LEV_CTS_Msk</a>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9ab90d38586ab0cbf20d7b41f1190374">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa4b5131e15a163bfda0868e92fa9ff22">UART_CTL_AUTO_RTS_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad2f87f54500027b717a90fe9593ab434">UART_CTL_AUTO_CTS_EN_Msk</a>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>}</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">  157</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>*  uart, uint32_t u32InterruptFlag )</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>{</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">IER</a> |= u32InterruptFlag;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>}</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">  171</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32baudrate)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>{</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    uint8_t u8UartClkSrcSel;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    uint32_t u32ClkTbl[4] = {<a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#a37c1644396b5996e92902bbf2dfc3ec5">__HXT</a>, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ab781074cbf310ee17748083dbe36ae98">__LXT</a>, 0, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>};</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    uint32_t u32Baud_Div;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    uint32_t u32SrcFreq;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    uint32_t u32SrcFreqDiv;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    u8UartClkSrcSel = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac8e05bf8810b71cf6083bfd25a190fe3">CLK_CLKSEL1_UART_S_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac2ed640c8370f88d9311586d568d8511">CLK_CLKSEL1_UART_S_Pos</a>;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <span class="keywordflow">if</span>( (u8UartClkSrcSel == 0x3) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCTL &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac3544758fe7062fa3b3246b1ae15f60b">CLK_PWRCTL_HIRC_FSEL_Msk</a>) )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        u32SrcFreq = <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#aae5c5ec4722a291e1271743d45414223">__HIRC16M</a>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        u32SrcFreq = u32ClkTbl[u8UartClkSrcSel];</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    u32SrcFreqDiv = (((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV0 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga5c811ef7ddb544f308cd868032d6f286">CLK_CLKDIV0_UART_N_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga2349b11cd473bc1943e99043683632e6">CLK_CLKDIV0_UART_N_Pos</a>) + 1);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    <span class="keywordflow">if</span>(u32SrcFreq == 0)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        u32SrcFreq = <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a>() / u32SrcFreqDiv;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        u32SrcFreq = u32SrcFreq / u32SrcFreqDiv;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a> = <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">UART_FUNC_SEL_UART</a>;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga52b6efc5dbbc798e6ed525e3875e3a40">TLCTL</a> = <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">UART_WORD_LEN_8</a> | <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">UART_PARITY_NONE</a> | <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">UART_STOP_BIT_1</a> |</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                  <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2fb5416da8b1cdd9fd4ef00040c58b8">UART_TLCTL_RFITL_1BYTE</a> | <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2c8a6dcfee4424ccd0b4a294a992073">UART_TLCTL_RTS_TRI_LEV_1BYTE</a>;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    <span class="keywordflow">if</span>(u32baudrate != 0)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        u32Baud_Div = <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">UART_BAUD_MODE0_DIVIDER</a>(u32SrcFreq, u32baudrate);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">if</span>(u32Baud_Div &gt; 0xFFFF)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a> = (<a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">UART_BAUD_MODE1</a> | <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">UART_BAUD_MODE1_DIVIDER</a>(u32SrcFreq, u32baudrate));</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a> = (<a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">UART_BAUD_MODE0</a> | u32Baud_Div);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>}</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">  223</a></span>uint32_t <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>{</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    uint32_t  u32Count, u32delayno;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    <span class="keywordflow">for</span>(u32Count=0; u32Count &lt; u32ReadBytes; u32Count++)</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    {</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        u32delayno = 0;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordflow">while</span>(uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">FSR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa8c7bcb82bb87f1e1e382bcfeb465677">UART_FSR_RX_EMPTY_F_Msk</a>)   <span class="comment">/* Check RX empty =&gt; failed */</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>            u32delayno++;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            <span class="keywordflow">if</span>( u32delayno &gt;= 0x40000000 )</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>                <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa93f0eb578d23995850d61f7d61c55c1">FALSE</a>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        pu8RxBuf[u32Count] = uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae89a1c157c8f32081e88d5e41147b885">RBR</a>;    <span class="comment">/* Get Data from UART RX  */</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    <span class="keywordflow">return</span> u32Count;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>}</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">  257</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t  u32stop_bits)</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>{</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    uint8_t u8UartClkSrcSel;</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    uint32_t u32ClkTbl[4] = {<a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#a37c1644396b5996e92902bbf2dfc3ec5">__HXT</a>, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ab781074cbf310ee17748083dbe36ae98">__LXT</a>, 0, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>};</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    uint32_t u32Baud_Div = 0;</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    uint32_t u32SrcFreq;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    uint32_t u32SrcFreqDiv;</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    u8UartClkSrcSel = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac8e05bf8810b71cf6083bfd25a190fe3">CLK_CLKSEL1_UART_S_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac2ed640c8370f88d9311586d568d8511">CLK_CLKSEL1_UART_S_Pos</a>;</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span> </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    <span class="keywordflow">if</span>( (u8UartClkSrcSel == 0x3) &amp;&amp; (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCTL &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac3544758fe7062fa3b3246b1ae15f60b">CLK_PWRCTL_HIRC_FSEL_Msk</a>) )</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        u32SrcFreq = <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#aae5c5ec4722a291e1271743d45414223">__HIRC16M</a>;</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        u32SrcFreq = u32ClkTbl[u8UartClkSrcSel];</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    u32SrcFreqDiv = (((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV0 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga5c811ef7ddb544f308cd868032d6f286">CLK_CLKDIV0_UART_N_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga2349b11cd473bc1943e99043683632e6">CLK_CLKDIV0_UART_N_Pos</a>) + 1);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    <span class="keywordflow">if</span>(u32SrcFreq == 0)</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        u32SrcFreq = <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a>() / u32SrcFreqDiv;</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    }</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>    {</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        u32SrcFreq = u32SrcFreq / u32SrcFreqDiv;</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    <span class="keywordflow">if</span>(u32baudrate != 0)</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>    {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        u32Baud_Div = <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">UART_BAUD_MODE0_DIVIDER</a>(u32SrcFreq, u32baudrate);</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        <span class="keywordflow">if</span>(u32Baud_Div &gt; 0xFFFF)</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a> = (<a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">UART_BAUD_MODE1</a> | <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">UART_BAUD_MODE1_DIVIDER</a>(u32SrcFreq, u32baudrate));</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>            uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a> = (<a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">UART_BAUD_MODE0</a> | u32Baud_Div);</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span> </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga52b6efc5dbbc798e6ed525e3875e3a40">TLCTL</a> = u32data_width | u32parity | u32stop_bits;</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>}</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span> </div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span> </div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">  305</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32TOC)</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>{</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga69e6fb451dbef4b45969bac159e8ffc0">TMCTL</a> = (uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga69e6fb451dbef4b45969bac159e8ffc0">TMCTL</a> &amp; ~UART_TMCTL_TOIC_Msk)| (u32TOC);</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">IER</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a446ed19626869652aa889f93acd0c253">UART_IER_RTO_IE_Msk</a>;</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>}</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">  321</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Buadrate, uint32_t u32Direction)</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>{</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>    uint8_t u8UartClkSrcSel;</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>    uint32_t u32ClkTbl[4] = {<a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#a37c1644396b5996e92902bbf2dfc3ec5">__HXT</a>, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ab781074cbf310ee17748083dbe36ae98">__LXT</a>, 0, <a class="code hl_define" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>};</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>    uint32_t u32SrcFreq;</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>    uint32_t u32SrcFreqDiv;</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span> </div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>    u8UartClkSrcSel = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac8e05bf8810b71cf6083bfd25a190fe3">CLK_CLKSEL1_UART_S_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac2ed640c8370f88d9311586d568d8511">CLK_CLKSEL1_UART_S_Pos</a>;</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span> </div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>    u32SrcFreq = u32ClkTbl[u8UartClkSrcSel];</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span> </div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>    u32SrcFreqDiv = (((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKDIV0 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga5c811ef7ddb544f308cd868032d6f286">CLK_CLKDIV0_UART_N_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga2349b11cd473bc1943e99043683632e6">CLK_CLKDIV0_UART_N_Pos</a>) + 1);</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span> </div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>    <span class="keywordflow">if</span>(u32SrcFreq == 0)</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>    {</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>        u32SrcFreq = <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a>() / u32SrcFreqDiv;</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>    }</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>    {</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>        u32SrcFreq = u32SrcFreq / u32SrcFreqDiv;</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>    }</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span> </div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a> = <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">UART_BAUD_MODE1</a> | <a class="code hl_define" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">UART_BAUD_MODE1_DIVIDER</a>(u32SrcFreq, u32Buadrate);</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span> </div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a>    &amp;=  ~UART_IRCR_INV_TX_Msk;</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a> |=     <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2d0ff89f5851427e9dcf641d9f2537d4">UART_IRCR_INV_RX_Msk</a>;</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a>    = u32Direction ? uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a10df7c4c9ac2f83a1241471f7da18add">UART_IRCR_TX_SELECT_Msk</a> : uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a> &amp;~ UART_IRCR_TX_SELECT_Msk;</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a> = (0x2 &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>);</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>}</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span> </div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span> </div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">  361</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Mode, uint32_t u32Addr)</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>{</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a> = <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">UART_FUNC_SEL_RS485</a>;</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a> = 0;</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a> |= u32Mode | (u32Addr &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad685af61d80e23d9f441adef1a425081">UART_ALT_CTL_ADDR_PID_MATCH_Pos</a>);</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>}</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> </div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">  382</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Mode, uint32_t u32BreakLength)</div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>{</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>    <span class="comment">/* Select LIN function mode */</span></div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a> = <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">UART_FUNC_SEL_LIN</a>;</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span> </div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>    <span class="comment">/* Select LIN function setting : Tx enable, Rx enable and break field length */</span></div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a> = <a class="code hl_define" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">UART_FUNC_SEL_LIN</a>;</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a567edf8a984a1a23820477acf1d231bd">UART_ALT_CTL_LIN_TX_BCNT_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab2b8d49b8a8c9c37f52c7b8542b60ee0">UART_ALT_CTL_LIN_RX_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad8144c6e0623ee0999b65ab6a0bb7977">UART_ALT_CTL_LIN_TX_EN_Msk</a>);</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a> |= u32BreakLength &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a567edf8a984a1a23820477acf1d231bd">UART_ALT_CTL_LIN_TX_BCNT_Msk</a>;</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a> |= u32Mode;</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>}</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span> </div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">  403</a></span>uint32_t <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart,uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>{</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>    uint32_t  u32Count, u32delayno;</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span> </div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span>    <span class="keywordflow">for</span>(u32Count=0; u32Count != u32WriteBytes; u32Count++)</div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>    {</div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>        u32delayno = 0;</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span>        <span class="keywordflow">while</span>((uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">FSR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a44b46dce1e9daa3eec4bd33b2e3ed030">UART_FSR_TX_EMPTY_F_Msk</a>) == 0)   <span class="comment">/* Wait Tx empty and Time-out manner */</span></div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>        {</div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>            u32delayno++;</div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno">  413</span>            <span class="keywordflow">if</span>( u32delayno &gt;= 0x40000000 )</div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span>                <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa93f0eb578d23995850d61f7d61c55c1">FALSE</a>;</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span>        }</div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span>        uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab2c575051f74234158db4c2627172943">THR</a> = pu8TxBuf[u32Count];    <span class="comment">/* Send UART Data from buffer */</span></div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span>    }</div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span> </div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span>    <span class="keywordflow">return</span> u32Count;</div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span> </div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span>}</div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span> </div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span> <span class="comment">/* end of group NANO1X2_UART_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span> <span class="comment">/* end of group NANO1X2_UART_Driver */</span></div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span> </div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span> </div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span> </div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span> </div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0f2e106e62d5334e54836c99a14eac85"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0f2e106e62d5334e54836c99a14eac85">UART_FSR_BI_F_Msk</a></div><div class="ttdeci">#define UART_FSR_BI_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10200">Nano1X2Series.h:10200</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0f3f249dd28febd4fa06cd8dbd7a5a57"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0f3f249dd28febd4fa06cd8dbd7a5a57">UART_MCSR_LEV_RTS_Msk</a></div><div class="ttdeci">#define UART_MCSR_LEV_RTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10221">Nano1X2Series.h:10221</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a10df7c4c9ac2f83a1241471f7da18add"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a10df7c4c9ac2f83a1241471f7da18add">UART_IRCR_TX_SELECT_Msk</a></div><div class="ttdeci">#define UART_IRCR_TX_SELECT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10248">Nano1X2Series.h:10248</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a206cb13660090392dee974bdda53b3a2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a206cb13660090392dee974bdda53b3a2">UART_ISR_ABAUD_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_ABAUD_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10158">Nano1X2Series.h:10158</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a2d0ff89f5851427e9dcf641d9f2537d4"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a2d0ff89f5851427e9dcf641d9f2537d4">UART_IRCR_INV_RX_Msk</a></div><div class="ttdeci">#define UART_IRCR_INV_RX_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10254">Nano1X2Series.h:10254</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a36ccbc9d24fec359200d7f9d311aa90d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a36ccbc9d24fec359200d7f9d311aa90d">UART_TRSR_ABAUD_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_ABAUD_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10167">Nano1X2Series.h:10167</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3e523b38815e87ff3df4a4fe7962fc5d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3e523b38815e87ff3df4a4fe7962fc5d">UART_TRSR_ABAUD_TOUT_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_ABAUD_TOUT_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10170">Nano1X2Series.h:10170</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a446ed19626869652aa889f93acd0c253"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a446ed19626869652aa889f93acd0c253">UART_IER_RTO_IE_Msk</a></div><div class="ttdeci">#define UART_IER_RTO_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10122">Nano1X2Series.h:10122</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a44b46dce1e9daa3eec4bd33b2e3ed030"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a44b46dce1e9daa3eec4bd33b2e3ed030">UART_FSR_TX_EMPTY_F_Msk</a></div><div class="ttdeci">#define UART_FSR_TX_EMPTY_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10206">Nano1X2Series.h:10206</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a48731133e1164f08f432de5dc901e733"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a48731133e1164f08f432de5dc901e733">UART_TRSR_LIN_TX_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_LIN_TX_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10173">Nano1X2Series.h:10173</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a567edf8a984a1a23820477acf1d231bd"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a567edf8a984a1a23820477acf1d231bd">UART_ALT_CTL_LIN_TX_BCNT_Msk</a></div><div class="ttdeci">#define UART_ALT_CTL_LIN_TX_BCNT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10257">Nano1X2Series.h:10257</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a6984988001dbaf4c9c96f3ed393bf89f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a6984988001dbaf4c9c96f3ed393bf89f">UART_FSR_RX_OVER_F_Msk</a></div><div class="ttdeci">#define UART_FSR_RX_OVER_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10185">Nano1X2Series.h:10185</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7cab36848706132f54de276c258b547a"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7cab36848706132f54de276c258b547a">UART_TRSR_BIT_ERR_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_BIT_ERR_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10179">Nano1X2Series.h:10179</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7d4693479c44026215c49954c2ba93e6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7d4693479c44026215c49954c2ba93e6">UART_ISR_BUF_ERR_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_BUF_ERR_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10152">Nano1X2Series.h:10152</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7da65ccd8e9d5ea59979b62a5b830a7b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a></div><div class="ttdeci">#define UART_FUN_SEL_FUN_SEL_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10286">Nano1X2Series.h:10286</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a867c6116c318fa8271bd72642a11338e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a867c6116c318fa8271bd72642a11338e">UART_ISR_LIN_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_LIN_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10161">Nano1X2Series.h:10161</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a886dd125a8a7230f0db2bd5528b6ca67"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a886dd125a8a7230f0db2bd5528b6ca67">UART_FSR_FE_F_Msk</a></div><div class="ttdeci">#define UART_FSR_FE_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10197">Nano1X2Series.h:10197</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a909ee94bfcb3516c3ef4adb6878cb694"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a909ee94bfcb3516c3ef4adb6878cb694">UART_TRSR_RS485_ADDET_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_RS485_ADDET_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10164">Nano1X2Series.h:10164</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a923e0f105bdf518925450960086440db"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a923e0f105bdf518925450960086440db">UART_FSR_PE_F_Msk</a></div><div class="ttdeci">#define UART_FSR_PE_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10194">Nano1X2Series.h:10194</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a9c89e709e9a263a55f63fed4a9317723"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a9c89e709e9a263a55f63fed4a9317723">UART_ISR_WAKE_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_WAKE_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10155">Nano1X2Series.h:10155</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa03c989a308b944f626588239ed89ede"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa03c989a308b944f626588239ed89ede">UART_ISR_RLS_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_RLS_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10143">Nano1X2Series.h:10143</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa25f2783ec705d92bf314237a8c7c8ba"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa25f2783ec705d92bf314237a8c7c8ba">UART_FSR_TX_OVER_F_Msk</a></div><div class="ttdeci">#define UART_FSR_TX_OVER_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10203">Nano1X2Series.h:10203</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa4b5131e15a163bfda0868e92fa9ff22"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa4b5131e15a163bfda0868e92fa9ff22">UART_CTL_AUTO_RTS_EN_Msk</a></div><div class="ttdeci">#define UART_CTL_AUTO_RTS_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10056">Nano1X2Series.h:10056</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa8c7bcb82bb87f1e1e382bcfeb465677"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa8c7bcb82bb87f1e1e382bcfeb465677">UART_FSR_RX_EMPTY_F_Msk</a></div><div class="ttdeci">#define UART_FSR_RX_EMPTY_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10188">Nano1X2Series.h:10188</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab2b8d49b8a8c9c37f52c7b8542b60ee0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab2b8d49b8a8c9c37f52c7b8542b60ee0">UART_ALT_CTL_LIN_RX_EN_Msk</a></div><div class="ttdeci">#define UART_ALT_CTL_LIN_RX_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10263">Nano1X2Series.h:10263</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad0cfc25876af7286eb10f8fcb52d71f3"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad0cfc25876af7286eb10f8fcb52d71f3">UART_TRSR_LIN_RX_F_Msk</a></div><div class="ttdeci">#define UART_TRSR_LIN_RX_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10176">Nano1X2Series.h:10176</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad2f87f54500027b717a90fe9593ab434"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad2f87f54500027b717a90fe9593ab434">UART_CTL_AUTO_CTS_EN_Msk</a></div><div class="ttdeci">#define UART_CTL_AUTO_CTS_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10059">Nano1X2Series.h:10059</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad671a0b4963ee95f516f340b83639b3f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad671a0b4963ee95f516f340b83639b3f">UART_MCSR_LEV_CTS_Msk</a></div><div class="ttdeci">#define UART_MCSR_LEV_CTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10227">Nano1X2Series.h:10227</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad685af61d80e23d9f441adef1a425081"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad685af61d80e23d9f441adef1a425081">UART_ALT_CTL_ADDR_PID_MATCH_Pos</a></div><div class="ttdeci">#define UART_ALT_CTL_ADDR_PID_MATCH_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10283">Nano1X2Series.h:10283</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad8144c6e0623ee0999b65ab6a0bb7977"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad8144c6e0623ee0999b65ab6a0bb7977">UART_ALT_CTL_LIN_TX_EN_Msk</a></div><div class="ttdeci">#define UART_ALT_CTL_LIN_TX_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10266">Nano1X2Series.h:10266</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aeb6309c81abe52c5fe26f4d5bf5d5cb8"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aeb6309c81abe52c5fe26f4d5bf5d5cb8">UART_MCSR_DCT_F_Msk</a></div><div class="ttdeci">#define UART_MCSR_DCT_F_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10233">Nano1X2Series.h:10233</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aec77da723bb1121d218152a52ac6aaf0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aec77da723bb1121d218152a52ac6aaf0">UART_ISR_MODEM_IS_Msk</a></div><div class="ttdeci">#define UART_ISR_MODEM_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10146">Nano1X2Series.h:10146</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_ga2349b11cd473bc1943e99043683632e6"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga2349b11cd473bc1943e99043683632e6">CLK_CLKDIV0_UART_N_Pos</a></div><div class="ttdeci">#define CLK_CLKDIV0_UART_N_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01618">Nano1X2Series.h:1618</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_ga5c811ef7ddb544f308cd868032d6f286"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#ga5c811ef7ddb544f308cd868032d6f286">CLK_CLKDIV0_UART_N_Msk</a></div><div class="ttdeci">#define CLK_CLKDIV0_UART_N_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01619">Nano1X2Series.h:1619</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_gac2ed640c8370f88d9311586d568d8511"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac2ed640c8370f88d9311586d568d8511">CLK_CLKSEL1_UART_S_Pos</a></div><div class="ttdeci">#define CLK_CLKSEL1_UART_S_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01573">Nano1X2Series.h:1573</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_gac3544758fe7062fa3b3246b1ae15f60b"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac3544758fe7062fa3b3246b1ae15f60b">CLK_PWRCTL_HIRC_FSEL_Msk</a></div><div class="ttdeci">#define CLK_PWRCTL_HIRC_FSEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01469">Nano1X2Series.h:1469</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_gac8e05bf8810b71cf6083bfd25a190fe3"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gac8e05bf8810b71cf6083bfd25a190fe3">CLK_CLKSEL1_UART_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL1_UART_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01574">Nano1X2Series.h:1574</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10651">Nano1X2Series.h:10651</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga0f46769716a711a74aab6d3884ca4e05"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">UART_FUNC_SEL_LIN</a></div><div class="ttdeci">#define UART_FUNC_SEL_LIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00074">uart.h:74</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga270dea6e1a92dd83fe58802450bdd60c"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">UART_PARITY_NONE</a></div><div class="ttdeci">#define UART_PARITY_NONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00043">uart.h:43</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga58e87dcac022388ad406eb83031777db"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">UART_STOP_BIT_1</a></div><div class="ttdeci">#define UART_STOP_BIT_1</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00049">uart.h:49</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga861ae53255163bf7cd2d80d913cebb1d"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">UART_WORD_LEN_8</a></div><div class="ttdeci">#define UART_WORD_LEN_8</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00041">uart.h:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaa2fb5416da8b1cdd9fd4ef00040c58b8"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2fb5416da8b1cdd9fd4ef00040c58b8">UART_TLCTL_RFITL_1BYTE</a></div><div class="ttdeci">#define UART_TLCTL_RFITL_1BYTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00053">uart.h:53</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac2c8a6dcfee4424ccd0b4a294a992073"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2c8a6dcfee4424ccd0b4a294a992073">UART_TLCTL_RTS_TRI_LEV_1BYTE</a></div><div class="ttdeci">#define UART_TLCTL_RTS_TRI_LEV_1BYTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00058">uart.h:58</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac756ade4c2a338617e80a2fed0ef0049"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">UART_FUNC_SEL_UART</a></div><div class="ttdeci">#define UART_FUNC_SEL_UART</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00073">uart.h:73</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gae4d52ef14ffe0c22f147f339f0a46e1e"><div class="ttname"><a href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">UART_FUNC_SEL_RS485</a></div><div class="ttdeci">#define UART_FUNC_SEL_RS485</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00076">uart.h:76</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga012cceda57fbf706282dfc225754f9ab"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a></div><div class="ttdeci">void UART_SelectRS485Mode(UART_T *uart, uint32_t u32Mode, uint32_t u32Addr)</div><div class="ttdoc">The function is used to set RS485 relative setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00361">uart.c:361</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga10d8bd72a87f9e2678accad6ff5ab594"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a></div><div class="ttdeci">void UART_SelectLINMode(UART_T *uart, uint32_t u32Mode, uint32_t u32BreakLength)</div><div class="ttdoc">Select and configure LIN function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00382">uart.c:382</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a></div><div class="ttdeci">void UART_EnableInt(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to enable UART specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00157">uart.c:157</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga140a7bc3fbd481b247b31ad74f09cc80"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">UART_BAUD_MODE1</a></div><div class="ttdeci">#define UART_BAUD_MODE1</div><div class="ttdoc">Calculate UART baudrate mode0 divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00104">uart.h:104</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2b95702ec6143af8ae540638f6ff80f2"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">UART_BAUD_MODE0</a></div><div class="ttdeci">#define UART_BAUD_MODE0</div><div class="ttdoc">Calculate UART baudrate mode0 divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00094">uart.h:94</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a></div><div class="ttdeci">void UART_SetTimeoutCnt(UART_T *uart, uint32_t u32TOC)</div><div class="ttdoc">This function use to set Rx timeout count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00305">uart.c:305</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga56ed1b6c204c2ee6054e2273126bca8e"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a></div><div class="ttdeci">void UART_Close(UART_T *uart)</div><div class="ttdoc">The function is used to disable UART.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00083">uart.c:83</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga59118911e1bb8d8dfd8efa40bddcd1a5"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">UART_BAUD_MODE0_DIVIDER</a></div><div class="ttdeci">#define UART_BAUD_MODE0_DIVIDER(u32SrcFreq, u32BaudRate)</div><div class="ttdoc">Calculate UART baudrate mode2 divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00126">uart.h:126</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6caa32b208da0662b8f8bf2180fb57b7"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a></div><div class="ttdeci">void UART_ClearIntFlag(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to clear UART specified interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00041">uart.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6dcf73f1bd97886b6d501a9e932bcc60"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a></div><div class="ttdeci">void UART_DisableFlowCtrl(UART_T *uart)</div><div class="ttdoc">The function is used to disable UART auto flow control.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00096">uart.c:96</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7b63c003589dc997066dc8e5b77d0662"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a></div><div class="ttdeci">void UART_EnableFlowCtrl(UART_T *uart)</div><div class="ttdoc">The function is used to Enable UART auto flow control.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00133">uart.c:133</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7c407ea077120e5e2e19b44742554137"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a></div><div class="ttdeci">uint32_t UART_Write(UART_T *uart, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</div><div class="ttdoc">The function is to write data into TX buffer to transmit data by UART.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00403">uart.c:403</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga83fe107ad6c49af362366874e4a730e9"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a></div><div class="ttdeci">void UART_SetLine_Config(UART_T *uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t u32stop_bits)</div><div class="ttdoc">This function use to config UART line setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00257">uart.c:257</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga978d8c95e3b536a84f56567f9eb35597"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a></div><div class="ttdeci">void UART_DisableInt(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to disable UART specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00119">uart.c:119</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab74d997a2c280fedd422b65cc06ed4e1"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a></div><div class="ttdeci">void UART_SelectIrDAMode(UART_T *uart, uint32_t u32Buadrate, uint32_t u32Direction)</div><div class="ttdoc">The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00321">uart.c:321</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gace2c59bec6efa5ccd85986f5fa15c7e0"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a></div><div class="ttdeci">uint32_t UART_Read(UART_T *uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</div><div class="ttdoc">The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00223">uart.c:223</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad0eab36ae6ce25e23219dc6a1e8fa73a"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a></div><div class="ttdeci">uint32_t SysGet_PLLClockFreq(void)</div><div class="ttdoc">Calculate current PLL clock frequency.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00028">system_Nano1X2Series.c:28</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7bc943f55e64efe28999daf11d5a4ea"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">UART_BAUD_MODE1_DIVIDER</a></div><div class="ttdeci">#define UART_BAUD_MODE1_DIVIDER(u32SrcFreq, u32BaudRate)</div><div class="ttdoc">Calculate UART baudrate mode0 divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00116">uart.h:116</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadcca8d11ae146138c089c65c2a9eb428"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a></div><div class="ttdeci">void UART_Open(UART_T *uart, uint32_t u32baudrate)</div><div class="ttdoc">This function use to enable UART function and set baud-rate.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00171">uart.c:171</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga0c448c3fbb4d954410aaef7402d7ca7e"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">UART_T::MCSR</a></div><div class="ttdeci">__IO uint32_t MCSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09888">Nano1X2Series.h:9888</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga0ca01dcd16be120667b8ec1b940b2800"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">UART_T::BAUD</a></div><div class="ttdeci">__IO uint32_t BAUD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09925">Nano1X2Series.h:9925</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga1edf12aec26a4dccd41814cfb02dd949"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1edf12aec26a4dccd41814cfb02dd949">UART_T::ISR</a></div><div class="ttdeci">__IO uint32_t ISR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09732">Nano1X2Series.h:9732</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga202d78662da8b815cb7e16a997244a1f"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">UART_T::IER</a></div><div class="ttdeci">__IO uint32_t IER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09666">Nano1X2Series.h:9666</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga4147906e727e2bef07512303f1364881"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">UART_T::FSR</a></div><div class="ttdeci">__IO uint32_t FSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09855">Nano1X2Series.h:9855</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga4297386c5926124fc6441172a68f844d"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4297386c5926124fc6441172a68f844d">UART_T::TRSR</a></div><div class="ttdeci">__IO uint32_t TRSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09784">Nano1X2Series.h:9784</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga51ae34e470c8bc57f5a3a56bc25ca1b6"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">UART_T::FUN_SEL</a></div><div class="ttdeci">__IO uint32_t FUN_SEL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10015">Nano1X2Series.h:10015</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga52b6efc5dbbc798e6ed525e3875e3a40"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga52b6efc5dbbc798e6ed525e3875e3a40">UART_T::TLCTL</a></div><div class="ttdeci">__IO uint32_t TLCTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09629">Nano1X2Series.h:9629</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga69e6fb451dbef4b45969bac159e8ffc0"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga69e6fb451dbef4b45969bac159e8ffc0">UART_T::TMCTL</a></div><div class="ttdeci">__IO uint32_t TMCTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09909">Nano1X2Series.h:9909</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga9ab90d38586ab0cbf20d7b41f1190374"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9ab90d38586ab0cbf20d7b41f1190374">UART_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09581">Nano1X2Series.h:9581</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaa93f0eb578d23995850d61f7d61c55c1"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa93f0eb578d23995850d61f7d61c55c1">FALSE</a></div><div class="ttdeci">#define FALSE</div><div class="ttdoc">Boolean false, define to use in API parameters or return value.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10816">Nano1X2Series.h:10816</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gab2c575051f74234158db4c2627172943"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab2c575051f74234158db4c2627172943">UART_T::THR</a></div><div class="ttdeci">__O uint32_t THR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09509">Nano1X2Series.h:9509</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gabdfc111e8ea7c7fe2aed82d163596da7"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">UART_T::IRCR</a></div><div class="ttdeci">__IO uint32_t IRCR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09947">Nano1X2Series.h:9947</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gae89a1c157c8f32081e88d5e41147b885"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae89a1c157c8f32081e88d5e41147b885">UART_T::RBR</a></div><div class="ttdeci">__I uint32_t RBR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09496">Nano1X2Series.h:9496</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaf4e9ea8c4f49b557a138d36abaaf770b"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">UART_T::ALT_CTL</a></div><div class="ttdeci">__IO uint32_t ALT_CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10000">Nano1X2Series.h:10000</a></div></div>
<div class="ttc" id="astruct_u_a_r_t___t_html"><div class="ttname"><a href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09479">Nano1X2Series.h:9480</a></div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_a37c1644396b5996e92902bbf2dfc3ec5"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#a37c1644396b5996e92902bbf2dfc3ec5">__HXT</a></div><div class="ttdeci">#define __HXT</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00026">system_Nano1X2Series.h:26</a></div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_aae5c5ec4722a291e1271743d45414223"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#aae5c5ec4722a291e1271743d45414223">__HIRC16M</a></div><div class="ttdeci">#define __HIRC16M</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00029">system_Nano1X2Series.h:29</a></div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_ab781074cbf310ee17748083dbe36ae98"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#ab781074cbf310ee17748083dbe36ae98">__LXT</a></div><div class="ttdeci">#define __LXT</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00027">system_Nano1X2Series.h:27</a></div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_ad145c32431f633b887d84ef0c78f42f3"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a></div><div class="ttdeci">#define __HIRC12M</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00028">system_Nano1X2Series.h:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
